using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LSFE.MobApp.Contracts
{
    public interface IQueryService
    {
        Task<List<T>> ExecuteQueryAsync<T>(string query, params object[] parameters) where T : new();
        Task<int> ExecuteNonQueryAsync(string query, params object[] parameters);
    }
}
